# ARS 模块索引

>该文档正在完善中。

![Doc Logo](assets/image/index.png)

## 介绍

该文档旨在收录现有的所有红石元器件，方便广大玩家快速查找并使用所需模块，降低心智负担，允许他们将精力更多倾注于构思机器架构本身而非重复造轮子，让效率最大化。:D

## 模块目录

- [模块目录](./modules)

## 使用

你可以先将该仓库clone到本地，这需要你提前安装git：

```bash
git clone http://shenjack.top:5100/ARS/ARS-docs.git
```

在仓库的`modules`目录中，选择你所需要的模块名称，进入该文件夹，其内就包含了该模块本体。

- 对于扩展名为`nbt`的模块文件，请将其复制或粘贴至`.minecraft/saves/<World Name>/generated/minecraft/structures`目录。然后，~~瑞典原神~~Minecraft，启动！进入世界后，放置结构方块，选择“加载”模式，输入文件名称，点击“加载”后，会出现一个框架，这代表模块将会生成的位置。再点一次“加载”，模块就能正确生成了。
- 对于扩展名为`schem`的模块文件，你需要下载并启用[World Edit](https://enginehub.org/worldedit)模组。
  - 模组文件的命名格式为`worldedit-mod-<version>.jar`。请将其复制或粘贴至`.minecraft/mods`目录。这样，进入世界时就可以使用它了。**请注意：必须提前下载并安装[Fabric](https://fabricmc.net)才会出现`mods`文件夹！**

>待办：亟需完善具体使用步骤，如导入`.litematic`文件到玩家世界的方法。

## 贡献

欢迎有志人士为这份文档的发展贡献出自己的力量。我们坚信，星星之火，可以燎原。

为更好地帮助我们发展，我们需要你遵循以下约定：

- 若有在`tags/tags`目录内添加新标签的需求，文件名应遵循`snake_case`命名法。
- 若有在`modules`添加模块的需求，存放模块的文件夹名，单词与单词之间用短横隔开，且遵循该命名格式：`<abbr>-<h_or_v>-<lagency>-<(optional)tick>-<(Optional)appendix>`。
  - 其中，`abbr`代表模块英文名称缩写 (全大写) ；`h_or_v`代表该模块的横竖类别，例如横式模块就写`horizontal`；`lagency`代表模块延迟；`(Optional)tick`表示模块流水周期，有则写之，否则不写；`(Optional)appendix`代表该模块的其它附加信息，同样有则写之。
- 模块内的`README.md`编写规范详见该[issue](http://shenjack.top:5100/ARS/ARS-docs/issues/4)。其中，模块描述应当言简意赅，避免陈词滥调。