# 标签索引

![标签索引logo](../assets/image/tag_index.png)

## 所有可用标签

- [小型模块](./tags/small_module.md)
  - 方块数量小于10000的模块
  - 别名
    - 小模块
- [中型模块](./tags/middle_size_module.md) : 方块数量在10001-100000之间的模块。
- [大型模块](./tags/large_module.md) : 方块数量>100000的模块。
- [算术单元](./tags/au.md) : 具有运算功能的模块。
- [加/减法器](./tags/adder_or_subtractor.md) : 具有加/减法功能的模块。
- [ALU (算逻单元)](./tags/alu.md) : 算术逻辑单元
- [显示模块](./tags/display_module.md) : 具备显示功能的模块。
- [存储模块](./tags/storage_module.md) : 具备存储功能的模块。
- [数码管](./tags/digital_display.md) : 显示数字的专用模块。
- [成品模块](./tags/completed_module.md) : 已经完成设计的模块，如CPU
- [一级模块](./tags/primary_module.md) : 组成整个模块的次级模块。如ALU (算术逻辑单元) ，PC (程序计数器) ，MM (主存) 等。
- [二级模块](./tags/secondary_module.md) : 次级模块的次级模块。如CCA (进位取消全加器) ，RAM (随机存储器) ，ROM (只读存储器) 等。
- [子模块](./tags/submodule.md) : 二级模块的次级模块。如单个逻辑门，导线等。
- [Java版](./tags/je.md) : Java版模块
- [基岩版](./tags/be.md) : 基岩版模块。
- [版本特性](./tags/version_feature.md) : 利用了版本特性的模块。
- [2rt流水](./tags/2rt_pipeline.md) : 支持2rt流水线的模块。
- [时序严格](./tags/strict_timing.md) : 对于电路时序要求严格的模块。
- [无容器](./tags/no_container.md) : 没有容器的模块。
- [静音](./tags/silent.md) : 不会发出响声的模块。
- [单片](./tags/single_chip.md) : 1高或1宽的模块。
- [传统红石](./tags/traditional_redstone.md) : 仅使用红石方块特性，不使用墙电，水电，树电，脚电等其他特性的模块。
- 测试 tag
  - 只是用来测试的
  - 别名
    - 测试1
    - 测试2
